package xiaoice

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"

	"wechat-api/internal/logic/xiaoice"
	"wechat-api/internal/svc"
	"wechat-api/internal/types"
)

// swagger:route get /api/xiaoice/message xiaoice GptbotsMessage
//
// gen gptbots | 调用gptbots
//
// gen gptbots | 调用gptbots
//
// Parameters:
//  + name: body
//    require: true
//    in: body
//    type: MessageReq
//
// Responses:
//  200: MessageResp

func GptbotsMessageHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.MessageReq
		if err := httpx.Parse(r, &req, true); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := xiaoice.NewGptbotsMessageLogic(r.Context(), svcCtx)
		resp, err := l.GptbotsMessage(&req)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
